using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace specops
{
    public class specops_pp
    {

        public static void Main()
        {
			
			string itemName;
            CategoryBuilder.Create("COMBAT SPECIAL OPERATIONS", "This mod is based on the game Call Of Duty: Modern Warfare 2019. Thank you for support. Special thanks to Kyrelink.", ModAPI.LoadSprite("Categorythumbnail4.png"));
			
			
			 //Glock-21
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "Glock-21",
                    NameToOrderByOverride = "Glock-21",
                    DescriptionOverride = "GLOCK-21 GEN4. Bullet muzzle velocity: 375 m/s. Ammo:.45 ACP. Country: Austria.",
                    CategoryOverride = ModAPI.FindCategory("COMBAT SPECIAL OPERATIONS"),
                    ThumbnailOverride = ModAPI.LoadSprite("Glockthumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock.png", 1.5f);
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = ".45 ACP";
                        customCartridge.Damage *= 0.1f; 
                        customCartridge.StartSpeed *= 1f;
                        customCartridge.Recoil *= 1f;
                        firearm.Cartridge = customCartridge;
                        firearm.BulletsPerShot = 1;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Glock.wav")
                            
                        };
                    }
                }
            );
			
			